<?php

add_action( 'admin_menu', 'motivational_speaker_gettingstarted' );
function motivational_speaker_gettingstarted() {    	
	add_theme_page( esc_html__('Theme Documentation', 'motivational-speaker'), esc_html__('Theme Documentation', 'motivational-speaker'), 'edit_theme_options', 'motivational-speaker-guide-page', 'motivational_speaker_guide');   
}

function motivational_speaker_admin_theme_style() {
   wp_enqueue_style('motivational-speaker-custom-admin-style', esc_url(get_template_directory_uri()) . '/inc/dashboard/dashboard.css');
}
add_action('admin_enqueue_scripts', 'motivational_speaker_admin_theme_style');

if ( ! defined( 'MOTIVATIONAL_SPEAKER_SUPPORT' ) ) {
	define('MOTIVATIONAL_SPEAKER_SUPPORT',__('https://wordpress.org/support/theme/motivational-speaker/','motivational-speaker'));
}
if ( ! defined( 'MOTIVATIONAL_SPEAKER_REVIEW' ) ) {
	define('MOTIVATIONAL_SPEAKER_REVIEW',__('https://wordpress.org/support/theme/motivational-speaker/reviews/','motivational-speaker'));
}
if ( ! defined( 'MOTIVATIONAL_SPEAKER_LIVE_DEMO' ) ) {
define('MOTIVATIONAL_SPEAKER_LIVE_DEMO',__('https://www.ovationthemes.com/demos/motivational-speaker/','motivational-speaker'));
}
if ( ! defined( 'MOTIVATIONAL_SPEAKER_BUY_PRO' ) ) {
define('MOTIVATIONAL_SPEAKER_BUY_PRO',__('https://www.ovationthemes.com/wordpress/motivational-speaker-wordpress-theme/','motivational-speaker'));
}
if ( ! defined( 'MOTIVATIONAL_SPEAKER_PRO_DOC' ) ) {
define('MOTIVATIONAL_SPEAKER_PRO_DOC',__('https://ovationthemes.com/docs/ot-motivational-speaker-pro-doc/','motivational-speaker'));
}

/**
 * Theme Info Page
 */
function motivational_speaker_guide() {

	// Theme info
	$return = add_query_arg( array()) ;
	$theme = wp_get_theme(); ?>

	<div class="getting-started__header">
		<div class="col-md-10">
			<h2><?php echo esc_html( $theme ); ?></h2>
			<p><?php esc_html_e('Version: ', 'motivational-speaker'); ?><?php echo esc_html($theme['Version']);?></p>
		</div>
		<div class="col-md-2">
			<div class="btn_box">
				<a class="button-primary" href="<?php echo esc_url( MOTIVATIONAL_SPEAKER_SUPPORT ); ?>" target="_blank"><?php esc_html_e('Support', 'motivational-speaker'); ?></a>
				<a class="button-primary" href="<?php echo esc_url( MOTIVATIONAL_SPEAKER_REVIEW ); ?>" target="_blank"><?php esc_html_e('Review', 'motivational-speaker'); ?></a>
			</div>
		</div>
	</div>

	<div class="wrap getting-started">
		<div class="container">
			<div class="col-md-9">
				<div class="leftbox">
					<h3><?php esc_html_e('Documentation','motivational-speaker'); ?></h3>
					<p><?php esc_html_e('To step the motivational speaker theme follow the below steps.','motivational-speaker'); ?></p>

					<h4><?php esc_html_e('1. Setup Logo','motivational-speaker'); ?></h4>
					<p><?php esc_html_e('Go to dashboard >> Appearance >> Customize >> Site Identity >> Upload your logo or Add site title and site description.','motivational-speaker'); ?></p>
					<a class="button-primary" href="<?php echo esc_url( admin_url('customize.php?autofocus[control]=custom_logo') ); ?>" target="_blank"><?php esc_html_e('Upload your logo','motivational-speaker'); ?></a>

					<h4><?php esc_html_e('2. Setup Contact Info','motivational-speaker'); ?></h4>
					<p><?php esc_html_e('Go to dashboard >> Appearance >> Customize >> Contact info >> Add your phone number and email address.','motivational-speaker'); ?></p>
					<a class="button-primary" href="<?php echo esc_url( admin_url('customize.php?autofocus[section]=motivational_speaker_top') ); ?>" target="_blank"><?php esc_html_e('Add Contact Info','motivational-speaker'); ?></a>

					<h4><?php esc_html_e('3. Setup Menus','motivational-speaker'); ?></h4>
					<p><?php esc_html_e('Go to dashboard >> Appearance >> Menus >> Create Menus >> Add pages, post or custom link then save it.','motivational-speaker'); ?></p>
					<a class="button-primary" href="<?php echo esc_url( admin_url('customize.php?autofocus[panel]=nav_menus') ); ?>" target="_blank"><?php esc_html_e('Add Menus','motivational-speaker'); ?></a>

					<h4><?php esc_html_e('4. Setup Social Icons','motivational-speaker'); ?></h4>
					<p><?php esc_html_e('Go to dashboard >> Appearance >> Customize >> Social Media >> Add social links.','motivational-speaker'); ?></p>
					<a class="button-primary" href="<?php echo esc_url( admin_url('customize.php?autofocus[section]=motivational_speaker_urls') ); ?>" target="_blank"><?php esc_html_e('Add Social Icons','motivational-speaker'); ?></a>

					<h4><?php esc_html_e('5. Setup Footer','motivational-speaker'); ?></h4>
					<p><?php esc_html_e('Go to dashboard >> Appearance >> Widgets >> Add widgets in footer 1, footer 2, footer 3, footer 4. >> ','motivational-speaker'); ?></p>
					<a class="button-primary" href="<?php echo esc_url( admin_url('customize.php?autofocus[panel]=widgets') ); ?>" target="_blank"><?php esc_html_e('Footer Widgets','motivational-speaker'); ?></a>

					<h4><?php esc_html_e('5. Setup Footer Text','motivational-speaker'); ?></h4>
					<p><?php esc_html_e('Go to dashboard >> Appearance >> Customize >> Footer Text >> Add copyright text. >> ','motivational-speaker'); ?></p>
					<a class="button-primary" href="<?php echo esc_url( admin_url('customize.php?autofocus[section]=motivational_speaker_footer_copyright') ); ?>" target="_blank"><?php esc_html_e('Footer Text','motivational-speaker'); ?></a>

					<h3><?php esc_html_e('Setup Home Page','motivational-speaker'); ?></h3>
					<p><?php esc_html_e('To step the home page follow the below steps.','motivational-speaker'); ?></p>

					<h4><?php esc_html_e('1. Setup Page','motivational-speaker'); ?></h4>
					<p><?php esc_html_e('Go to dashboard >> Pages >> Add New Page >> Select "Custom Home Page" from templates >> Publish it.','motivational-speaker'); ?></p>
					<a class="dashboard_add_new_page button-primary"><?php esc_html_e('Add New Page','motivational-speaker'); ?></a>

					<h4><?php esc_html_e('2. Setup Slider','motivational-speaker'); ?></h4>
					<p><?php esc_html_e('Go to dashboard >> Post >> Add New Post >> Add title, content and featured image >> Publish it.','motivational-speaker'); ?></p>
					<p><?php esc_html_e('Go to dashboard >> Appearance >> Customize >> Slider Settings >> Select post.','motivational-speaker'); ?></p>
					<a class="button-primary" href="<?php echo esc_url( admin_url('customize.php?autofocus[section]=motivational_speaker_slider_section') ); ?>" target="_blank"><?php esc_html_e('Add Slider','motivational-speaker'); ?></a>

					<h4><?php esc_html_e('3. Latest Program','motivational-speaker'); ?></h4>
					<p><?php esc_html_e('Go to dashboard >> Post >> Add New Post >> Add title, content and featured image >> Publish it.','motivational-speaker'); ?></p>
					<p><?php esc_html_e('Go to dashboard >> Appearance >> Customize >> Latest Program Settings >> Select post','motivational-speaker'); ?></p>
					<a class="button-primary" href="<?php echo esc_url( admin_url('customize.php?autofocus[section]=motivational_speaker_middle_section') ); ?>" target="_blank"><?php esc_html_e('Add Latest Program','motivational-speaker'); ?></a>
				</div>
          	</div>
			<div class="col-md-3">
				<h3><?php esc_html_e('Motivational Speaker Theme','motivational-speaker'); ?></h3>
				<img class="motivational_speaker_img_responsive" style="width: 100%;" src="<?php echo esc_url( get_template_directory_uri() ); ?>/screenshot.png">
				<div class="pro-links">
					<hr>
					<a class="button-primary buynow" href="<?php echo esc_url( MOTIVATIONAL_SPEAKER_BUY_PRO ); ?>" target="_blank"><?php esc_html_e('Buy Now', 'motivational-speaker'); ?></a>
			    	<a class="button-primary livedemo" href="<?php echo esc_url( MOTIVATIONAL_SPEAKER_LIVE_DEMO ); ?>" target="_blank"><?php esc_html_e('Live Demo', 'motivational-speaker'); ?></a>
					<a class="button-primary docs" href="<?php echo esc_url( MOTIVATIONAL_SPEAKER_PRO_DOC ); ?>" target="_blank"><?php esc_html_e('Documentation', 'motivational-speaker'); ?></a>
					<hr>
				</div>
				<ul style="padding-top:10px">
                    <li class="upsell-motivational_speaker"> <div class="dashicons dashicons-yes"></div> <?php esc_html_e('Responsive Design', 'motivational-speaker');?> </li>
                    <li class="upsell-motivational_speaker"> <div class="dashicons dashicons-yes"></div> <?php esc_html_e('Boxed or fullwidth layout', 'motivational-speaker');?> </li>
                    <li class="upsell-motivational_speaker"> <div class="dashicons dashicons-yes"></div> <?php esc_html_e('Shortcode Support', 'motivational-speaker');?> </li>
                    <li class="upsell-motivational_speaker"> <div class="dashicons dashicons-yes"></div> <?php esc_html_e('Demo Importer', 'motivational-speaker');?> </li>
                    <li class="upsell-motivational_speaker"> <div class="dashicons dashicons-yes"></div> <?php esc_html_e('Section Reordering', 'motivational-speaker');?> </li>
                    <li class="upsell-motivational_speaker"> <div class="dashicons dashicons-yes"></div> <?php esc_html_e('Contact Page Template', 'motivational-speaker');?> </li>
                    <li class="upsell-motivational_speaker"> <div class="dashicons dashicons-yes"></div> <?php esc_html_e('Multiple Blog Layouts', 'motivational-speaker');?> </li>
                    <li class="upsell-motivational_speaker"> <div class="dashicons dashicons-yes"></div> <?php esc_html_e('Unlimited Color Options', 'motivational-speaker');?> </li>
                    <li class="upsell-motivational_speaker"> <div class="dashicons dashicons-yes"></div> <?php esc_html_e('Designed with HTML5 and CSS3', 'motivational-speaker');?> </li>
                    <li class="upsell-motivational_speaker"> <div class="dashicons dashicons-yes"></div> <?php esc_html_e('Customizable Design & Code', 'motivational-speaker');?> </li>
                    <li class="upsell-motivational_speaker"> <div class="dashicons dashicons-yes"></div> <?php esc_html_e('Cross Browser Support', 'motivational-speaker');?> </li>
                    <li class="upsell-motivational_speaker"> <div class="dashicons dashicons-yes"></div> <?php esc_html_e('Detailed Documentation Included', 'motivational-speaker');?> </li>
                    <li class="upsell-motivational_speaker"> <div class="dashicons dashicons-yes"></div> <?php esc_html_e('Stylish Custom Widgets', 'motivational-speaker');?> </li>
                    <li class="upsell-motivational_speaker"> <div class="dashicons dashicons-yes"></div> <?php esc_html_e('Patterns Background', 'motivational-speaker');?> </li>
                    <li class="upsell-motivational_speaker"> <div class="dashicons dashicons-yes"></div> <?php esc_html_e('WPML Compatible (Translation Ready)', 'motivational-speaker');?> </li>
                    <li class="upsell-motivational_speaker"> <div class="dashicons dashicons-yes"></div> <?php esc_html_e('Woo-commerce Compatible', 'motivational-speaker');?> </li>
                    <li class="upsell-motivational_speaker"> <div class="dashicons dashicons-yes"></div> <?php esc_html_e('Full Support', 'motivational-speaker');?> </li>
                    <li class="upsell-motivational_speaker"> <div class="dashicons dashicons-yes"></div> <?php esc_html_e('10+ Sections', 'motivational-speaker');?> </li>
                    <li class="upsell-motivational_speaker"> <div class="dashicons dashicons-yes"></div> <?php esc_html_e('Live Customizer', 'motivational-speaker');?> </li>
                   	<li class="upsell-motivational_speaker"> <div class="dashicons dashicons-yes"></div> <?php esc_html_e('AMP Ready', 'motivational-speaker');?> </li>
                   	<li class="upsell-motivational_speaker"> <div class="dashicons dashicons-yes"></div> <?php esc_html_e('Clean Code', 'motivational-speaker');?> </li>
                   	<li class="upsell-motivational_speaker"> <div class="dashicons dashicons-yes"></div> <?php esc_html_e('SEO Friendly', 'motivational-speaker');?> </li>
                   	<li class="upsell-motivational_speaker"> <div class="dashicons dashicons-yes"></div> <?php esc_html_e('Supper Fast', 'motivational-speaker');?> </li>                    
                </ul>
        	</div>
		</div>
	</div>

<?php }?>
