<?php
/**
 * Template Name: Custom Home Page
 */
get_header(); ?>

<main id="content">
  <?php if( get_theme_mod('motivational_speaker_slider_arrows') != ''){ ?>
    <section id="slider">
      <span class="design-right"></span>
      <div id="carouselExampleIndicators" class="carousel slide" data-ride="carousel">
        <?php
          for ( $i = 1; $i <= 4; $i++ ) {
            $mod =  get_theme_mod( 'motivational_speaker_post_setting' . $i );
            if ( 'page-none-selected' != $mod ) {
              $motivational_speaker_slide_post[] = $mod;
            }
          }
           if( !empty($motivational_speaker_slide_post) ) :
          $args = array(
            'post_type' =>array('post'),
            'post__in' => $motivational_speaker_slide_post
          );
          $query = new WP_Query( $args );
          if ( $query->have_posts() ) :
            $i = 1;
        ?>
        <div class="carousel-inner" role="listbox">
          <?php while ( $query->have_posts() ) : $query->the_post(); ?>
          <div <?php if($i == 1){echo 'class="carousel-item active"';} else{ echo 'class="carousel-item"';}?>>
            <img src="<?php esc_url(the_post_thumbnail_url('full')); ?>"/>
            <div class="carousel-caption text-center text-md-left text-sm-left">
              <h2 class="slider-title"><?php the_title();?></h2>
              <p class="mb-0"><?php echo esc_html(wp_trim_words(get_the_content(),'20') );?></p>
              <div class="home-btn text-center text-md-left text-sm-left my-4">
                <a href="<?php the_permalink(); ?>"><?php echo esc_html('READ MORE','motivational-speaker'); ?></a>
              </div>
            </div>
          </div>
          <?php $i++; endwhile;
          wp_reset_postdata();?>
        </div>
        <?php else : ?>
        <div class="no-postfound"></div>
          <?php endif;
        endif;?>
          <a class="carousel-control-prev" href="#carouselExampleIndicators" role="button" data-slide="prev">
            <span class="carousel-control-prev-icon" aria-hidden="true"><i class="fas fa-chevron-left"></i></span>
          </a>
          <a class="carousel-control-next" href="#carouselExampleIndicators" role="button" data-slide="next">
            <span class="carousel-control-next-icon" aria-hidden="true"><i class="fas fa-chevron-right"></i></span>
          </a>
      </div>
      <div class="clearfix"></div>
    </section>
  <?php }?>

  <section id="latest-program" class="py-5">
    <div class="container">
      <?php if( get_theme_mod('motivational_speaker_program_section_title') != '' ){ ?>
        <h3 class="text-center mb-5"><?php echo esc_html( get_theme_mod( 'motivational_speaker_program_section_title','') ); ?></h3>
      <?php }?>
      <div class="row">
        <?php
          $services_category=  get_theme_mod('motivational_speaker_latest_program_setting');if($services_category){
          $page_query = new WP_Query(array( 'category_name' => esc_html($services_category ,'motivational-speaker')));?>
            <?php while( $page_query->have_posts() ) : $page_query->the_post(); ?>
              <div class="col-lg-4 col-md-4 col-sm-6 mb-3">
                <?php if(has_post_thumbnail()) { ?>
                  <div class="image-box mb-4">
                    <?php the_post_thumbnail(); ?>
                    <div class="date-box">
                      <?php the_time( get_option( 'date_format' ) ); ?>
                    </div>
                  </div>
                <?php }?>
                <a href="<?php the_permalink(); ?>"><h4><?php the_title();?></h4></a>
                <p class="mb-0"><?php echo esc_html(wp_trim_words(get_the_content(),'20') );?></p>
              </div>
            <?php endwhile;
          wp_reset_postdata();
        }?>
      </div>
    </div>
  </section>
</main>

<?php get_footer(); ?>
